Index: zegrapher/ZeGrapher.pro
===================================================================
--- zegrapher.orig/ZeGrapher.pro
+++ zegrapher/ZeGrapher.pro
@@ -12,6 +12,13 @@ TRANSLATIONS = ZeGrapher_fr.ts \
                ZeGrapher_de.ts \
                ZeGrapher_zh.ts
 
+
+## hardening for Debian
+QMAKE_CPPFLAGS *= $(shell dpkg-buildflags --get CPPFLAGS)
+QMAKE_CFLAGS   *= $(shell dpkg-buildflags --get CFLAGS)
+QMAKE_CXXFLAGS *= $(shell dpkg-buildflags --get CXXFLAGS)
+QMAKE_LFLAGS   *= $(shell dpkg-buildflags --get LDFLAGS)
+
 CONFIG += c++11
 QMAKE_LFLAGS_RELEASE = -s
 
